Scriptname HypoDelete extends ObjectReference  
{Removes the entire mod when equipped}

GlobalVariable Property HypoCoreTemp auto

Quest Property Hypo auto
Quest Property HypoFire auto
Key Property HypoConfigKey auto

Message Property HypoMsgDelete auto
FormList Property HypoMasterSpellList auto


Event OnEquipped (Actor akActor)

	int sel = HypoMsgDelete.Show()

	if (sel == 1)
		DeleteHypothermiaMod(akActor)
	
	elseif (sel == 2)
		Hypo.Start()
		HypoCoreTemp.SetValue(100)
	endif
	
EndEvent

Function DeleteHypothermiaMod (Actor akActor)
	
	Hypo.Stop()
	HypoFire.Stop()
	
	int i = 0
	
	while ( HypoMasterSpellList.GetAt(i) )
		akActor.RemoveSpell(HypoMasterSpellList.GetAt(i) as Spell)
		i += 1
	endwhile
	
	akActor.RemoveItem(HypoConfigKey, 1)

	Game.EnableFastTravel(true)
	ImageSpaceModifier.RemoveCrossFade(1.0)

EndFunction