Scriptname HypoISMODModerate extends activemagiceffect  
{Hit Shader ISMOD effects for Mod Hypothermia}

ImageSpaceModifier Property HypoImodMod auto
ImageSpaceModifier Property HypoImodModStart auto
ImageSpaceModifier Property HypoImodModEnd auto

GlobalVariable Property HypoCoreTempGrad auto

Event OnEffectStart (Actor akTarget, Actor akCaster)
	HypoImodMod.ApplyCrossFade(2.0)
EndEvent


Event OnEffectFinish (Actor akTarget, Actor akCaster)	
	
	if ( HypoCoreTempGrad.GetValue() < 0.0 )		; If player is moving to Severe, remove quickly so ISMOD Severe can take over
		HypoImodMod.Remove()
	else
		HypoImodMod.PopTo(HypoImodModEnd)
		Utility.Wait(2.0)
		HypoImodModEnd.Remove()
	endif
	
EndEvent
