Scriptname HypoWarmFireEffectScript extends activemagiceffect  
{Attached to WarmFireEffect Magic Effect}

Idle Property IdleWarmHands auto
Idle Property IdleWarmHandsStanding auto
Idle Property IdleWarmHandsCrouched auto

Idle Property IdleWarmArms auto
Idle Property IdleUncontrollableCough auto

Idle Property IdleStop_Loose auto

Spell Property zWarmingHands auto

Event OnEffectStart (Actor akTarget, Actor akCaster)

	RegisterForUpdate(5)
	Game.DisablePlayerControls(false, false, true, false, false,false, false, false, 0)
	
	if (akTarget.IsSneaking())
		akTarget.PlayIdle(IdleWarmHandsCrouched)
	else
		akTarget.PlayIdle(IdleWarmHandsStanding)
	endif
	
	Utility.Wait(9)
	Game.EnablePlayerControls()
	
EndEvent

Event OnEffectFinish (Actor akTarget, Actor akCaster)	

	akTarget.RemoveSpell(zWarmingHands)
	
	if (!akTarget.PlayIdle(IdleStop_Loose))
		Debug.Trace("HypoWarmFireEffect: warmarmsidle failed to play")
	endif

EndEvent


Event OnUpdate ()

	Dispel()

EndEvent
