Scriptname HypothermiaSettingsPower extends ActiveMagicEffect  
{Script attaches to Hypothermia Configure MagicEffect/Power and allows player to configure mod. Developed for compatibility with combat and needs mods.}

Hypothermia Property HypoScript auto

Message Property HypoMsgSettings auto
Message Property HypoMsgSettingsToggles auto
Message Property HypoMsgCameraShake auto
Message Property HypoMsgHealthDamage auto
Message Property HypoMsgInterval auto
Message Property HypoMsgShader auto
Message Property HypoMsgStaminaDamage auto
Message Property HypoMsgAnimations auto
Message Property HypoMsgNotifications auto
Message Property HypoMsgFastTravel auto

GlobalVariable Property HypothermiaVersion auto
GlobalVariable Property HypothermiaInterval auto
GlobalVariable Property HypoEnableCameraShake auto
GlobalVariable Property HypoEnableShaders auto
GlobalVariable Property HypoEnableAnimations auto
GlobalVariable Property HypoEnableHealthDamage auto
GlobalVariable Property HypoEnableStaminaDamage auto
GlobalVariable Property HypoEnableNotifications auto
GlobalVariable Property HypoAffectFastTravel auto

Event OnEffectStart (Actor akTarget, Actor akCaster)

	Configure()
		
EndEvent

Function Configure ()

	int sel = 99

	while (sel != 0)

		sel = HypoMsgSettings.Show(HypothermiaVersion.GetValue())
		
		if  (sel == 1)
			HypothermiaInterval.SetValue(HypoMsgInterval.Show(HypothermiaInterval.GetValue())*2.0 + 1.0) 
		elseif  (sel == 2)
			HypoEnableHealthDamage.SetValue(HypoMsgHealthDamage.Show(HypoEnableHealthDamage.GetValue()) as float)
		elseif  (sel == 3)
			HypoEnableStaminaDamage.SetValue(HypoMsgStaminaDamage.Show(HypoEnableStaminaDamage.GetValue()) as float)
		elseif  (sel == 4 || sel == 5)
			HypoEnableShaders.SetValue( (!(HypoEnableShaders.GetValue() as bool)) as float )
		
		elseif (sel == 6)	; More toggle options
			
			int sel2 = 99
			
			while (sel2 != 0)
			
				sel2 = HypoMsgSettingsToggles.Show()	
				
				if (sel2 == 1 || sel2 == 2)
					HypoEnableCameraShake.SetValue( (!(HypoEnableCameraShake.GetValue() as bool)) as float )
				elseif  (sel2 == 3 || sel2 == 4)
					HypoEnableAnimations.SetValue( (!(HypoEnableAnimations.GetValue() as bool)) as float )
				elseif (sel2 == 5 || sel2 == 6)	
					HypoEnableNotifications.SetValue( (!(HypoEnableNotifications.GetValue() as bool)) as float )
				elseif (sel2 == 7 || sel2 == 8)	
					HypoAffectFastTravel.SetValue( (!(HypoAffectFastTravel.GetValue() as bool)) as float )
				endif
				
			endwhile		
		
		endif
		
	endwhile
	
	HypoScript.RefreshSettings()

EndFunction
