Scriptname HypothermiaStatusPower extends ActiveMagicEffect  
{Script attaches to Status Spell Power to view the details of hypothermia}

Hypothermia Property HypoScript auto

Message Property HypoMsgStatus auto
Message Property HypoMsgStatus2 auto

GlobalVariable Property HypoCoreTemp auto
GlobalVariable Property HypoCoreTempGrad auto

GlobalVariable Property HypoFahrenheit auto

Event OnEffectStart (Actor akTarget, Actor akCaster)

	if ( HypoFahrenheit.GetValue() > 0.0 )
		HypoMsgStatus.Show( HypoCoreTemp.GetValue()*1.8 + 32, HypoCoreTempGrad.GetValue()*1.8, HypoScript.GetEffectiveTemp(akTarget)*1.8 + 32, HypoScript.GetBodyHeat(akTarget)*1.8 )
		HypoMsgStatus2.Show( HypoScript.GetAmbientTemp(akTarget)*1.8 + 32, HypoScript.GetSaturation(), HypoScript.GetInsulationFactor(akTarget, HypoScript.GetSaturation()) )
	else
		HypoMsgStatus.Show( HypoCoreTemp.GetValue(), HypoCoreTempGrad.GetValue(), HypoScript.GetEffectiveTemp(akTarget), HypoScript.GetBodyHeat(akTarget) )
		HypoMsgStatus2.Show( HypoScript.GetAmbientTemp(akTarget), HypoScript.GetSaturation(), HypoScript.GetInsulationFactor(akTarget, HypoScript.GetSaturation()) )
	endif
	
EndEvent
